### Method

# Adw StatusPage set_icon_name

#### Declaration [src]

    void
    adw_status_page_set_icon_name (
      AdwStatusPage* self,
      const char* icon_name
    )

#### Description [src]

Sets the icon name for `self`.

Available since: | 1.0

Sets property | `Adw.StatusPage:icon-name`

#### Parameters

`icon_name` | `const char*`
| The icon name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.